package com.bcxin.backend.domain.repositories;

import com.bcxin.backend.domain.models.DomainSuperviseDTO;

import java.util.Collection;

public interface DomainSuperviseRepository {
    Collection<DomainSuperviseDTO> getAll(Collection<String> domainIds);

    /**
     * 获取不属于任何企业域的基础数据需要同步的监管归属地
     * @return
     */
    Collection<DomainSuperviseDTO> getDomainSuperviseDTOForBaseData();
}
